<?php
require_once DIR_CORE.'files-'.$config['db_type'].'.php';
require_once DIR_CORE.'files.php';

require_once DIR_CORE.'products-'.$config['db_type'].'.php';
require_once DIR_CORE.'products.php';

if( $a == 'List' ){
  $sProductsList = listProducts( 'products_list.tpl' );
  $content .= !empty( $sProductsList ) ? $sProductsList : $tpl->tbHtml( 'products_list.tpl', 'NOT_FOUND' );
}
elseif( $a == 'More' && isset( $iProduct ) && is_numeric( $iProduct ) ){
  if( isset( $bPrint ) )
    $sFile = 'products_print.tpl';
  else
    $sFile = 'products_details.tpl';
  
  $aData = throwProduct( $iProduct );
  if( isset( $aData ) ){
    $aFiles =  listFiles( $iProduct, $sFile, 1 );

    if( empty( $aData['sDescriptionFull'] ) ){
      $aData['sDescriptionFull'] = $aData['sDescriptionShort'];
    }

    $aData['sDescriptionFull']  = changeTxt( $aData['sDescriptionFull'], 'nlNds' );
    $aData['sCategories']       = throwTreeForProduct( $aData['aCategories'], $sFile );

    $sTitleBefore = $aData['sName'].' - ';

    if( !isset( $bPrint ) && ( isset( $aFiles['sPhotos'] ) || isset( $aFiles['sFiles'] ) ) ){
      $sMorePhotosLink =  $tpl->tbHtml( $sFile, 'MORE_PHOTOS_LINK' );
      $sMorePhotosTxt =   $tpl->tbHtml( $sFile, 'MORE_PHOTOS_TXT' );
    }

    $content .= $tpl->tbHtml( $sFile, 'SHOW' );
  }
  else
    $content .= $tpl->tbHtml( 'messages.tpl', 'NOT_EXISTS' );
}
?>